Package de.cxp.ocs.model.result
Class SearchResultSlice
- java.lang.Object
-
- de.cxp.ocs.model.result.SearchResultSlice
-
public class SearchResultSlice extends Object
-
-
Field Summary
Fields Modifier and Type Field Description List<Facet>facetsIf facets are part of this slice, they are placed here.List<ResultHit>hitsthe list of actual hits for that result view.StringlabelAn identifier for that result slice.longmatchCountthe absolute number of matches in this result.StringnextLinkURL conform query parameters, that has to be used to get the next bunch of results.longnextOffsetthe offset value to use to get the next result batchStringresultLinkThe parameters that lead to exact that passed slice.
-
Constructor Summary
Constructors Constructor Description SearchResultSlice()
-
-
-
Field Detail
-
label
public String label
An identifier for that result slice. Can be used to differentiate different slices. Values depend on the implementation.
-
matchCount
public long matchCount
the absolute number of matches in this result.
-
nextOffset
public long nextOffset
the offset value to use to get the next result batch
-
nextLink
public String nextLink
URL conform query parameters, that has to be used to get the next bunch of results. Is null if there are no more results.
-
resultLink
public String resultLink
The parameters that lead to exact that passed slice. If send to the engine again, that slice should be returned as main result.
-
-